io.milvus.exception

## Class MilvusException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.milvus.exception.MilvusException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ClientNotConnectedException, IllegalResponseException, ParamException, ServerException, UnExpectedException

    public class MilvusException
    extends java.lang.RuntimeException

Base class of Milvus exceptions.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MilvusException(java.lang.String msg, java.lang.Integer status)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Integer` `getStatus()`
`void` `setStatus(java.lang.Integer status)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MilvusException

    public MilvusException(java.lang.String msg,
                           java.lang.Integer status)

### Method Detail

#### getStatus

    public java.lang.Integer getStatus()

#### setStatus

    public void setStatus(java.lang.Integer status)